package org.jeecg.modules.xcx.address.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.hoteladdress.entity.HotelAddress;
import org.jeecg.modules.xcx.address.req.AddressPageReq;

public interface IAddressService {

    /**
     * 地址分页
     * @param addressPageReq
     * @return
     */
    Result<?> addressPage(AddressPageReq addressPageReq);

    /**
     * 新增地址
     * @param hotelAddress
     * @return
     */
    Result<?> addressAdd(HotelAddress hotelAddress);

    /**
     * 修改地址
     * @param hotelAddress
     * @return
     */
    Result<?> addressEdit(HotelAddress hotelAddress);

    /**
     * 设置默认地址/取消默认地址
     * @param id 地址id
     * @return
     */
    Result<?> defaultAddress(String id,String token);

    /**
     * 删除地址
     * @param id
     * @param token
     * @return
     */
    Result<?> deleteAddress(String id,String token);

}
